Package org.eclipse.birt.report.engine.api.script

# Class ScriptMethodVisibilityUtil

java.lang.Object
org.eclipse.birt.report.engine.api.script.ScriptMethodVisibilityUtil

public class ScriptMethodVisibilityUtil extends Object
Util class that check methods in script interface are visible or not.

## Constructor Summary

Constructors
Constructor
Description
`ScriptMethodVisibilityUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isHide(String className, String methodName)`
Check script method is hide or not.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptMethodVisibilityUtil

public ScriptMethodVisibilityUtil()

## Method Details

### isHide

public static boolean isHide(String className, String methodName)
Check script method is hide or not. if exist in map, that means need to be hidden, return true. else return false.

Parameters:
  `className` - class name.for example :org.eclipse.birt.report.engine.api.
  `methodName` - method name.for example: isHide.
Returns:
  `true` if need to be hidden.else return `false`.